hadoop-hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Venkatesh S (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HIVE-1171) Check Hadoop JAR shim dependencies into lib/
Date Wed, 25 Aug 2010 18:56:17 GMT

    [ https://issues.apache.org/jira/browse/HIVE-1171?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12902575#action_12902575
] 

Venkatesh S commented on HIVE-1171:
-----------------------------------

Hadoop poms are available now and would be good to specify haddop.version and only use that
to build.

BTW, why is the resolution "Wont Fix"?

> Check Hadoop JAR shim dependencies into lib/
> --------------------------------------------
>
>                 Key: HIVE-1171
>                 URL: https://issues.apache.org/jira/browse/HIVE-1171
>             Project: Hadoop Hive
>          Issue Type: Bug
>          Components: Build Infrastructure
>    Affects Versions: 0.6.0
>            Reporter: Carl Steinbach
>
> In order to satisfy the shim dependencies we currently have
> Ivy configured to download four different versions, or 162Mb worth
> of Hadoop source tarballs from archive.apache.org. This includes
> a lot of junk that we don't actually need.
> We should instead pair this down to what we do need and check it
> into the Hive source tree (no one has complained about problems
> syncing the svn repository, and we already have a bunch of JARs
> checked into lib/).
> Once Hadoop POMs become available we should shift back to Ivy.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message